#sign-up:hover {
    color: #ed4024 !important;
    text-decoration: none
}

.h-300 {
    height: 300px;
}

.h-600 {
    height: 610px;
}

.h-285 {
    height: 280px;
}

#map {
    height: 100%;
    overflow: hidden
}

/* ---------------------------------- */
/* Leaflet.js Maps
------------------------------------- */
/* required styles */

.leaflet-pane,
.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-tile-container,
.leaflet-pane > svg,
.leaflet-pane > canvas,
.leaflet-zoom-box,
.leaflet-image-layer,
.leaflet-layer {
    position: absolute;
    left: 0;
    top: 0;
}

.leaflet-container {
    overflow: hidden;
}

.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow {
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    -webkit-user-drag: none;
}

/* Safari renders non-retina tile on retina better with this, but Chrome is worse */
.leaflet-safari .leaflet-tile {
    image-rendering: -webkit-optimize-contrast;
}

/* hack that prevents hw layers "stretching" when loading new tiles */
.leaflet-safari .leaflet-tile-container {
    width: 1600px;
    height: 1600px;
    -webkit-transform-origin: 0 0;
}

.leaflet-marker-icon,
.leaflet-marker-shadow {
    display: block;
}

/* .leaflet-container svg: reset svg max-width decleration shipped in Joomla! (joomla.org) 3.x */
/* .leaflet-container img: map is broken in FF if you have max-width: 100% on tiles */
.leaflet-container .leaflet-overlay-pane svg,
.leaflet-container .leaflet-marker-pane img,
.leaflet-container .leaflet-shadow-pane img,
.leaflet-container .leaflet-tile-pane img,
.leaflet-container img.leaflet-image-layer,
.leaflet-container .leaflet-tile {
    max-width: none !important;
    max-height: none !important;
}

.leaflet-container.leaflet-touch-zoom {
    -ms-touch-action: pan-x pan-y;
    touch-action: pan-x pan-y;
}

.leaflet-container.leaflet-touch-drag {
    -ms-touch-action: pinch-zoom;
    /* Fallback for FF which doesn't support pinch-zoom */
    touch-action: none;
    touch-action: pinch-zoom;
}

.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
    -ms-touch-action: none;
    touch-action: none;
}

.leaflet-tile {
    filter: inherit;
    visibility: hidden;
}

.leaflet-tile-loaded {
    visibility: inherit;
}

.leaflet-zoom-box {
    width: 0;
    height: 0;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    z-index: 800;
}

/* workaround for https://bugzilla.mozilla.org/show_bug.cgi?id=888319 */
.leaflet-overlay-pane svg {
    -moz-user-select: none;
}

.leaflet-pane {
    z-index: 400;
}

.leaflet-tile-pane {
    z-index: 200;
}

.leaflet-overlay-pane {
    z-index: 400;
}

.leaflet-shadow-pane {
    z-index: 500;
}

.leaflet-marker-pane {
    z-index: 600;
}

.leaflet-tooltip-pane {
    z-index: 650;
}

.leaflet-popup-pane {
    z-index: 700;
}

.leaflet-map-pane canvas {
    z-index: 100;
}

.leaflet-map-pane svg {
    z-index: 200;
}

.leaflet-vml-shape {
    width: 1px;
    height: 1px;
}

.lvml {
    behavior: url(#default#VML);
    display: inline-block;
    position: absolute;
}


/* control positioning */

.leaflet-control {
    position: relative;
    z-index: 800;
    pointer-events: visiblePainted; /* IE 9-10 doesn't have auto */
    pointer-events: auto;
}

.leaflet-top,
.leaflet-bottom {
    position: absolute;
    z-index: 1000;
    pointer-events: none;
}

.leaflet-top {
    top: 50%;
    position: absolute;
    transform: translateY(-50%);
}

.leaflet-right {
    right: 0;
}

.leaflet-bottom {
    bottom: 0;
}

.leaflet-left {
    left: 0;
}

.leaflet-control {
    float: left;
    clear: both;
}

.leaflet-right .leaflet-control {
    float: right;
}

.leaflet-top .leaflet-control {
    margin-top: 10px;
}

.leaflet-bottom .leaflet-control {
    margin-bottom: 10px;
}

.leaflet-left .leaflet-control {
    margin-left: 10px;
}

.leaflet-right .leaflet-control {
    margin-right: 10px;
}


/* zoom and fade animations */

.leaflet-fade-anim .leaflet-tile {
    will-change: opacity;
}

.leaflet-fade-anim .leaflet-popup {
    opacity: 0;
    -webkit-transition: opacity 0.2s linear;
    -moz-transition: opacity 0.2s linear;
    transition: opacity 0.2s linear;
}

.leaflet-fade-anim .leaflet-map-pane .leaflet-popup {
    opacity: 1;
}

.leaflet-zoom-animated {
    -webkit-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    transform-origin: 0 0;
}

.leaflet-zoom-anim .leaflet-zoom-animated {
    will-change: transform;
}

.leaflet-zoom-anim .leaflet-zoom-animated {
    -webkit-transition: -webkit-transform 0.25s cubic-bezier(0, 0, 0.25, 1);
    -moz-transition: -moz-transform 0.25s cubic-bezier(0, 0, 0.25, 1);
    transition: transform 0.25s cubic-bezier(0, 0, 0.25, 1);
}

.leaflet-zoom-anim .leaflet-tile,
.leaflet-pan-anim .leaflet-tile {
    -webkit-transition: none;
    -moz-transition: none;
    transition: none;
}

.leaflet-zoom-anim .leaflet-zoom-hide {
    visibility: hidden;
}


/* cursors */

.leaflet-interactive {
    cursor: pointer;
}

.leaflet-grab {
    cursor: -webkit-grab;
    cursor: -moz-grab;
    cursor: grab;
}

.leaflet-crosshair,
.leaflet-crosshair .leaflet-interactive {
    cursor: crosshair;
}

.leaflet-popup-pane,
.leaflet-control {
    cursor: auto;
}

.leaflet-dragging .leaflet-grab,
.leaflet-dragging .leaflet-grab .leaflet-interactive,
.leaflet-dragging .leaflet-marker-draggable {
    cursor: move;
    cursor: -webkit-grabbing;
    cursor: -moz-grabbing;
    cursor: grabbing;
}

/* marker & overlays interactivity */
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-image-layer,
.leaflet-pane > svg path,
.leaflet-tile-container {
    pointer-events: none;
}

.leaflet-marker-icon.leaflet-interactive,
.leaflet-image-layer.leaflet-interactive,
.leaflet-pane > svg path.leaflet-interactive {
    pointer-events: visiblePainted; /* IE 9-10 doesn't have auto */
    pointer-events: auto;
}


/* general toolbar styles */

.leaflet-bar {
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
    border-radius: 4px;
}

.leaflet-bar a,
.leaflet-bar a:hover {

    width: 26px;
    height: 26px;
    line-height: 26px;
    display: block;
    text-align: center;
    text-decoration: none;
}

.leaflet-bar a,
.leaflet-control-layers-toggle {
    background-position: 50% 50%;
    background-repeat: no-repeat;
    display: block;
}


.leaflet-bar a.leaflet-disabled {
    cursor: default;
    pointer-events: none;
}

.leaflet-touch .leaflet-bar a {
    width: 34px;
    height: 34px;
    line-height: 34px;
}

.leaflet-touch .leaflet-bar a i {
    line-height: 34px;
    left: -1px;
    position: relative;
}

/* zoom control */

.leaflet-control-zoom-in,
.leaflet-control-zoom-out {
    font: bold 18px 'Lucida Console', Monaco, monospace;
    text-indent: 1px;
}

.leaflet-touch .leaflet-control-zoom-in, .leaflet-touch .leaflet-control-zoom-out {
    font-size: 15px;
    text-align: center;
}


/* layers control */

.leaflet-control-layers {
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.4);
    background: #fff;
    border-radius: 5px;
}

.leaflet-control-layers-toggle {

    width: 36px;
    height: 36px;
}

.leaflet-retina .leaflet-control-layers-toggle {

    background-size: 26px 26px;
}

.leaflet-touch .leaflet-control-layers-toggle {
    width: 44px;
    height: 44px;
}

.leaflet-control-layers .leaflet-control-layers-list,
.leaflet-control-layers-expanded .leaflet-control-layers-toggle {
    display: none;
}

.leaflet-control-layers-expanded .leaflet-control-layers-list {
    display: block;
    position: relative;
}

.leaflet-control-layers-expanded {
    padding: 6px 10px 6px 6px;
    color: #333;
    background: #fff;
}

.leaflet-control-layers-scrollbar {
    overflow-y: scroll;
    overflow-x: hidden;
    padding-right: 5px;
}

.leaflet-control-layers-selector {
    margin-top: 2px;
    position: relative;
    top: 1px;
}

.leaflet-control-layers label {
    display: block;
}

.leaflet-control-layers-separator {
    height: 0;
    border-top: 1px solid #ddd;
    margin: 5px -10px 5px -6px;
}

/* Default icon URLs */


/* attribution and scale controls */

.leaflet-container .leaflet-control-attribution {
    background: #fff;
    margin: 10px;
    border-radius: 3px;
    padding: 4px 8px;
    color: #777;
    font-weight: 500;
    line-height: 15px;
}

.leaflet-container .leaflet-control-attribution a {
    color: #333;
    text-decoration: none !important;
}

.leaflet-control-attribution,
.leaflet-control-scale-line {
    padding: 0 5px;
    color: #333;
}

.leaflet-control-attribution a {
    text-decoration: none;
}

.leaflet-control-attribution a:hover {
    text-decoration: underline;
}

.leaflet-container .leaflet-control-attribution,
.leaflet-container .leaflet-control-scale {
    font-size: 11px;
}

.leaflet-left .leaflet-control-scale {
    margin-left: 5px;
}

.leaflet-bottom .leaflet-control-scale {
    margin-bottom: 5px;
}

.leaflet-control-scale-line {
    border: 2px solid #777;
    border-top: none;
    line-height: 1.1;
    padding: 2px 5px 1px;
    font-size: 11px;
    white-space: nowrap;
    overflow: hidden;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    background: #fff;
    background: rgba(255, 255, 255, 0.5);
}

.leaflet-control-scale-line:not(:first-child) {
    border-top: 2px solid #777;
    border-bottom: none;
    margin-top: -2px;
}

.leaflet-control-scale-line:not(:first-child):not(:last-child) {
    border-bottom: 2px solid #777;
}

.leaflet-touch .leaflet-control-attribution,
.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
    box-shadow: none;
    border: none !important;
}

.leaflet-touch .leaflet-control-layers,
.leaflet-touch .leaflet-bar {
    background-clip: padding-box;
}

.leaflet-control-zoom-in,
.leaflet-control-zoom-out {
    background-color: #fff;
    color: #333;
    cursor: pointer;
    border-radius: 50%;
    margin: 5px 10px;
    transition: color 0.3s, background-color 0.3s;
    box-shadow: 0px 1px 4px -1px rgba(0, 0, 0, 0.2);
    text-align: center;
    font-size: 15px;
    height: 34px;
    width: 34px;
    transition: 0.3s;
}

.leaflet-control-zoom-in:hover,
.leaflet-control-zoom-out:hover {
    background-color: #f91942;
    -webkit-text-stroke: 1px #f91942;
    color: #fff;
}

/* Popup
----------------------------------------*/
.leaflet-popup {
    position: absolute;
    text-align: center;
    margin-bottom: 25px;
}

#app .leaflet-popup-content {
    margin: 0;
    padding: .5rem;
}

.leaflet-popup-content-wrapper {
    padding: 0;
    text-align: left;
    border-radius: 4px;
}

.leaflet-popup-content {
    width: 450px;
}

.leaflet-popup-content p {
    margin: 0;
}

.leaflet-listing-img-container img {
    border-radius: 4px 4px 0 0;
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.leaflet-listing-img-container {
    position: relative;
    height: 210px;
    display: block;
}

.leaflet-listing-img-container:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    display: block;
    background: linear-gradient(to top, rgba(35, 35, 37, 0.85) 0%, rgba(35, 35, 37, 0.40) 35%, rgba(22, 22, 23, 0) 60%, rgba(0, 0, 0, 0) 100%);
    background-color: rgba(35, 35, 37, 0.2);
}

.leaflet-listing-item-content {
    position: absolute;
    bottom: 20px;
    left: 0;
    padding: 0 24px;
    width: 100%;
    z-index: 50;
    box-sizing: border-box;
}

.leaflet-listing-item-content h3 {
    color: #fff;
    font-size: 18px;
    padding: 0 0 2px 0;
    font-weight: 500;
    margin: 0;
    line-height: 25px;
}

.leaflet-listing-content {
    padding: 16px 22px;
    width: 100%;
    z-index: 50;
    box-sizing: border-box;
    position: relative;
}

.leaflet-listing-content .not-rated {
    color: #888;
}

.leaflet-listing-content .star-rating {
    font-size: 16px;
    margin-top: 1px;
    display: block;
    line-height: 18px;
}

.leaflet-listing-item-content span {
    font-size: 15px;
    font-weight: 300;
    display: inline-block;
    color: rgba(255, 255, 255, 0.7);
    line-height: 24px;
    display: block;;
}

.leaflet-popup-tip-container {
    width: 30px;
    height: 30px;
    position: absolute;
    left: 50%;
    margin-left: -15px;
    overflow: hidden;
    pointer-events: none;
    background: transparent;
}

.leaflet-popup-tip {
    border-left: 15px solid transparent;
    border-right: 5px solid transparent;
    border-top: 15px solid #fff;
    box-shadow: none;
}

.leaflet-popup-content-wrapper {
    background: white;
    color: #333;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.12);
}

.leaflet-container a.leaflet-popup-close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    display: inline-block;
    z-index: 999;
    text-align: center;
    line-height: 29px;
    cursor: pointer;
    font-size: 15px;
    font-weight: 500;
    height: 29px;
    width: 29px;
    background-color: #fff;
    color: #333;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    font-family: "Line Awesome Free";
    border-radius: 50%;
    text-indent: -9999999px;
}

.leaflet-container a.leaflet-popup-close-button:hover {
    color: #fff;
    background-color: #f91942;
}

.leaflet-container a.leaflet-popup-close-button:before {
    content: "\f057";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    font-size: 18px;
    line-height: 30px;
    height: 29px;
    width: 29px;
    border-radius: 100%;
    font-family: "Line Awesome Free";
    text-indent: 0px;
}


.leaflet-popup-scrolled {
    overflow: auto;
    border-bottom: 1px solid #ddd;
    border-top: 1px solid #ddd;
}

.leaflet-oldie .leaflet-popup-content-wrapper {
    zoom: 1;
}

.leaflet-oldie .leaflet-popup-tip {
    width: 24px;
    margin: 0 auto;

    -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678)";
    filter: progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678);
}

.leaflet-oldie .leaflet-popup-tip-container {
    margin-top: -1px;
}

.leaflet-oldie .leaflet-control-zoom,
.leaflet-oldie .leaflet-control-layers,
.leaflet-oldie .leaflet-popup-content-wrapper,
.leaflet-oldie .leaflet-popup-tip {
    border: 1px solid #999;
}


/* div icon */

.leaflet-div-icon {
    background: #fff;
    border: 1px solid #666;
}


/* Tooltip */
/* Base styles for the element that has a tooltip */
.leaflet-tooltip {
    position: absolute;
    padding: 6px;
    background-color: #fff;
    border: 1px solid #fff;
    border-radius: 3px;
    color: #222;
    white-space: nowrap;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    pointer-events: none;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
}

.leaflet-tooltip.leaflet-clickable {
    cursor: pointer;
    pointer-events: auto;
}

.leaflet-tooltip-top:before,
.leaflet-tooltip-bottom:before,
.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
    position: absolute;
    pointer-events: none;
    border: 6px solid transparent;
    background: transparent;
    content: "";
}

/* Directions */

.leaflet-tooltip-bottom {
    margin-top: 6px;
}

.leaflet-tooltip-top {
    margin-top: -6px;
}

.leaflet-tooltip-bottom:before,
.leaflet-tooltip-top:before {
    left: 50%;
    margin-left: -6px;
}

.leaflet-tooltip-top:before {
    bottom: 0;
    margin-bottom: -12px;
    border-top-color: #fff;
}

.leaflet-tooltip-bottom:before {
    top: 0;
    margin-top: -12px;
    margin-left: -6px;
    border-bottom-color: #fff;
}

.leaflet-tooltip-left {
    margin-left: -6px;
}

.leaflet-tooltip-right {
    margin-left: 6px;
}

.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
    top: 50%;
    margin-top: -6px;
}

.leaflet-tooltip-left:before {
    right: 0;
    margin-right: -12px;
    border-left-color: #fff;
}

.leaflet-tooltip-right:before {
    left: 0;
    margin-left: -12px;
    border-right-color: #fff;
}


.leaflet-cluster-anim .leaflet-marker-icon, .leaflet-cluster-anim .leaflet-marker-shadow {
    -webkit-transition: -webkit-transform 0.3s ease-out, opacity 0.3s ease-in;
    -moz-transition: -moz-transform 0.3s ease-out, opacity 0.3s ease-in;
    -o-transition: -o-transform 0.3s ease-out, opacity 0.3s ease-in;
    transition: transform 0.3s ease-out, opacity 0.3s ease-in;
}

.leaflet-cluster-spider-leg {
    /* stroke-dashoffset (duration and function) should match with leaflet-marker-icon transform in order to track it exactly */
    -webkit-transition: -webkit-stroke-dashoffset 0.3s ease-out, -webkit-stroke-opacity 0.3s ease-in;
    -moz-transition: -moz-stroke-dashoffset 0.3s ease-out, -moz-stroke-opacity 0.3s ease-in;
    -o-transition: -o-stroke-dashoffset 0.3s ease-out, -o-stroke-opacity 0.3s ease-in;
    transition: stroke-dashoffset 0.3s ease-out, stroke-opacity 0.3s ease-in;
}


.marker-cluster-small,
.marker-cluster-medium,
.marker-cluster-large {
    background-color: transparent;
}

.marker-cluster {
    background-clip: padding-box;
    border-radius: 20px;
}

.marker-cluster div {
    margin-left: 5px;
    margin-top: 5px;
    text-align: center;
    font-size: 15px;
    color: #fff;
    font-weight: 600;
    border-radius: 50%;
    width: 36px;
    height: 36px;
    line-height: 36px;
    background-color: #66676b;
    position: relative;
}


.marker-cluster-small div,
.marker-cluster-medium div,
.marker-cluster-large div {
    background-color: #f91942;
}

.marker-cluster div:before {
    border: 7px solid #f91942;
    opacity: 0.2;
    box-shadow: inset 0 0 0 4px #f91942;
    content: '';
    position: absolute;
    border-radius: 50%;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    animation: cluster-animation 2.5s infinite;
}

.marker-cluster span {
    font-family: Arial, sans-serif;
    line-height: 36px;
}

.leaflet-control-geocoder {
    border-radius: 4px;
    background: white;
    min-width: 26px;
    min-height: 26px;
}

.leaflet-touch .leaflet-control-geocoder {
    min-width: 30px;
    min-height: 30px;
}

.leaflet-control-geocoder a,
.leaflet-control-geocoder .leaflet-control-geocoder-icon {
    border-bottom: none;
    display: inline-block;
}

.leaflet-control-geocoder .leaflet-control-geocoder-alternatives a {
    width: inherit;
    height: inherit;
    line-height: inherit;
}

.leaflet-control-geocoder a:hover,
.leaflet-control-geocoder .leaflet-control-geocoder-icon:hover {
    border-bottom: none;
    display: inline-block;
}

.leaflet-control-geocoder-form {
    display: none;
    vertical-align: middle;
}

.leaflet-control-geocoder-expanded .leaflet-control-geocoder-form {
    display: inline-block;
}

.leaflet-control-geocoder-form input {
    font-size: 120%;
    border: 0;
    background-color: transparent;
    width: 246px;
}

.leaflet-control-geocoder-icon {
    border-radius: 4px;
    width: 26px;
    height: 26px;
    border: none;
    background-color: white;

    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

.leaflet-touch .leaflet-control-geocoder-icon {
    width: 30px;
    height: 30px;
}

.leaflet-control-geocoder-throbber .leaflet-control-geocoder-icon {

}

.leaflet-control-geocoder-form-no-error {
    display: none;
}

.leaflet-control-geocoder-form input:focus {
    outline: none;
}

.leaflet-control-geocoder-form button {
    display: none;
}

.leaflet-control-geocoder-error {
    margin-top: 8px;
    margin-left: 8px;
    display: block;
    color: #444;
}

.leaflet-control-geocoder-alternatives {
    display: block;
    width: 272px;
    list-style: none;
    padding: 0;
    margin: 0;
}

.leaflet-control-geocoder-alternatives-minimized {
    display: none;
    height: 0;
}

.leaflet-control-geocoder-alternatives li {
    white-space: nowrap;
    display: block;
    overflow: hidden;
    padding: 5px 8px;
    text-overflow: ellipsis;
    border-bottom: 1px solid #ccc;
    cursor: pointer;
}

.leaflet-control-geocoder-alternatives li a,
.leaflet-control-geocoder-alternatives li a:hover {
    width: inherit;
    height: inherit;
    line-height: inherit;
    background: inherit;
    border-radius: inherit;
    text-align: left;
}

.leaflet-control-geocoder-alternatives li:last-child {
    border-bottom: none;
}

.leaflet-control-geocoder-alternatives li:hover,
.leaflet-control-geocoder-selected {
    background-color: #f5f5f5;
}

.leaflet-control-geocoder-address-detail {
}

.leaflet-control-geocoder-address-context {
    color: #666;
}

/* Close Button */
.infoBox-close {
    position: absolute;
    top: 10px;
    right: 10px;
    display: inline-block;
    z-index: 999;
    text-align: center;
    line-height: 29px;
    cursor: pointer;
    font-size: 15px;
    font-weight: 500;
    height: 29px;
    width: 29px;
    background-color: #fff;
    color: #66676b;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    font-family: "Line Awesome Free";
    border-radius: 50%;
}

.infoBox-close:hover {
    color: #fff;
    background-color: #66676b;
}


/* Read More Icon */
.map-box-icon {
    height: 38px;
    width: 38px;
    position: absolute;
    bottom: 0;
    right: 0;
    background-color: #3685cf;
    display: block;
    color: #fff;
    font-size: 12px;
    z-index: 101;
    text-align: center;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
    opacity: 0;
    visibility: hidden;
}

.map-box-icon:before {
    content: "\f064";
    font-family: "FontAwesome";
    position: relative;
    top: 7px;
    display: block;
}

.map-box-image:hover .map-box-icon {
    opacity: 1;
    visibility: visible;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateX(0);
}

.map-box-image {
    position: relative;
    overflow: hidden;
    display: block;
}

.infoBox {
    -webkit-animation: fadeIn 0.9s;
    animation: fadeIn 0.9s;
}

/* Chrome, Safari, Opera */
@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

/* Standard syntax */
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


.infoBox .star-rating {
    font-size: 16px;
    margin-top: 1px;
}

.infoBox .star-rating span {
    margin-right: 3px;
}

.infoBox .rating-counter {
    position: relative;
    top: -1px;
}

.infoBox:after {
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-top: 20px solid #fff;
}

#map {
    height: 100%;
    width: 100%;
    margin: 0;
    z-index: 990;
}

#map-container {
    position: relative;
    top: 0;
    left: 0;
    height: 520px;
    width: 100%;
    z-index: 990;
    margin-bottom: 60px;
}

.gmnoprint {
    margin: 10px;
}

body#map-container.fullwidth-home-map,
#map-container.fullwidth-home-map {
    height: 620px;
    margin-bottom: 0;
}

#map-container.fullwidth-home-map .main-search-inner {
    position: absolute;
    display: block;
    bottom: 60px;
    top: auto;
    transform: none;
    padding-bottom: 0;
    z-index: 9999;
    margin-top: 0;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
}

#map-container.fullwidth-home-map .main-search-input {
    margin-top: 0;
    margin-bottom: 0px !important;
}


/* Cluster styles */
.cluster img {
    display: none
}

.cluster-visible {
    text-align: center;
    font-size: 15px !important;
    color: #fff !important;
    font-weight: 500;
    border-radius: 50%;
    width: 36px !important;
    height: 36px !important;
    line-height: 36px !important;
    background-color: #66676b;
}

.cluster-visible:before {
    border: 7px solid #66676b;
    opacity: 0.2;
    box-shadow: inset 0 0 0 4px #66676b;
    content: '';
    position: absolute;
    border-radius: 50%;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    animation: cluster-animation 2.5s infinite;
}

@keyframes cluster-animation {
    0%, 100% {
        transform: scale(1.3) rotate(0deg)
    }
    50% {
        transform: scale(1.5) rotate(90deg)
    }
}


/* Custom Marker */
.map-marker-container {
    position: absolute;
    margin-top: 10px;
    transform: translate3d(-50%, -100%, 0);
}

.marker-container {
    position: relative;
    margin: 10px auto;
    width: 40px;
    height: 40px;
    z-index: 1;
    border-radius: 50%;
    cursor: pointer;
    top: -5px;
}

#singleListingMap .marker-container {
    cursor: default;
}

.marker-container {
    perspective: 1000;
}

.marker-card {
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: all 0.4s ease-in-out;
    position: absolute;
    z-index: 1;
}

.marker-container:hover .marker-card,
.clicked .marker-container .marker-card,
.map-marker-container.clicked .marker-card {
    transform: rotateY(180deg) translateY(-4px);
}

.marker-arrow {
    width: 0;
    content: "";
    height: 0;
    border-style: solid;
    border-width: 8px 4px 0;
    border-color: #66676b transparent transparent;
    top: 38px;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    border-radius: 50%;
    z-index: 1;
}


.face {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    text-align: center;
    border-radius: 50%;
    color: #fff;
    z-index: 100;
}

.face i {
    line-height: 34px;
    font-size: 20px;
}

.face.front {
    background-color: #fff;
    border: 2px solid #66676b;
    color: #66676b;
    z-index: 100;
}

.face.back {
    transform: rotateY(180deg);
    box-sizing: border-box;
    background: #66676b;
    border-color: #66676b;
    color: #fff;
}

.face.back i {
    trasform: scaleX(-1);
    line-height: 38px;
    font-size: 18px;
}

.face.back:after {
    content: "";
    display: block;
    width: 36px;
    height: 36px;
    top: 2px;
    left: 2px;
    border: 1px solid rgba(255, 255, 255, 0.65);
    border-radius: 50%;
    position: absolute;
}


/* Custom Zoom Buttons
------------------------------------- */
.custom-zoom-in,
.custom-zoom-out {
    background-color: #fff;
    color: #333;
    cursor: pointer;
    border-radius: 50%;
    margin: 5px 15px;
    transition: color 0.3s, background-color 0.3s;
    box-shadow: 0px 1px 4px -1px rgba(0, 0, 0, 0.2);
    text-align: center;
    font-size: 15px;
    height: 34px;
    width: 34px;
}

.custom-zoom-in:hover,
.custom-zoom-out:hover {
    background-color: #66676b;
    color: #fff;
}

.custom-zoom-in:before,
.custom-zoom-out:before {
    font-family: "FontAwesome";
    width: 100%;
    line-height: 35px;
    transition: -webkit-text-stroke 0.3s;
    -webkit-text-stroke: 1px #fff;
}

.zoomControlWrapper {
    position: absolute;
    left: 0;
    right: auto;
    width: 70px;
}

.custom-zoom-in:before {
    content: "\f067";
}

.custom-zoom-out:before {
    content: "\f068";
}


.custom-zoom-in:hover:before,
.custom-zoom-out:hover:before {
    -webkit-text-stroke: 1px #66676b;
}

.listing-item-container.compact .listing-item-content span.tag {
    background-color: #f91942;
}

.dashboard-nav ul li.active,
.dashboard-nav ul li:hover {
    border-color: #f91942;
}

.dashboard-list-box .comment-by-listing a:hover {
    color: #f91942;
}

.opening-day:hover h5 {
    color: #f91942 !important;
}

.map-box h4 a:hover {
    color: #f91942;
}


.marker-cluster-small div, .marker-cluster-medium div, .marker-cluster-large div,
.cluster-visible {
    background-color: #f91942 !important;
}

.marker-cluster div:before {
    border: 7px solid #f91942;
    opacity: 0.2;
    box-shadow: inset 0 0 0 4px #f91942;
}

.cluster-visible:before {
    border: 7px solid #f91942;
    box-shadow: inset 0 0 0 4px #f91942;
}

.marker-arrow {
    border-color: #f91942 transparent transparent;
}

.face.front {
    border-color: #f91942;
    color: #f91942;
}

.face.back {
    background: #f91942;
    border-color: #f91942;
}

.custom-zoom-in:hover:before,
.custom-zoom-out:hover:before {
    -webkit-text-stroke: 1px #f91942;
}

.category-box-btn:hover {
    background-color: #f91942;
    border-color: #f91942;
}
